package Client;

import javax.naming.*;
import javax.rmi.*;
import Server.*;

public class HelloWorld
{
    public static void main(String args[]) throws Exception
    {
	HelloEJBHome hh = lookupHelloEJBHome();
	HelloEJB hejb = hh.create();
	System.out.println(hejb.sayHello());
        hejb.remove();
    }

    public static HelloEJBHome lookupHelloEJBHome() throws Exception
    {
	InitialContext ic = new InitialContext();
	Object helloReference = ic.lookup("helloServer");
	return (HelloEJBHome)PortableRemoteObject.narrow(helloReference, HelloEJBHome.class);
    }
} // end
