/* CMSI 688 Homework Set 2
 * Data Model Bean for J2EEACCOUNT table
 * Craig E. Ward
 * Fall 2002
 */
package J2EEApp;

import java.io.*;

public class AccountData implements Serializable
{
    private String acctNumber;
    private String description;
    private double balance;

    public AccountData() { System.out.println("***AccountData constructor..."); }

    public AccountData(String acctNumber, 
		       double balance,
		       String description)
    {
	this();
	this.acctNumber = acctNumber;
	this.description = description;
	this.balance = balance;
    }

    public String toString()
    {
	return "\n\tacctNumber: " + this.acctNumber +
	    "\n\tdescription: " + this.description +
	    "\n\tacct balance: " + this.balance;
    }

    /**
     * Gets the value of acctNumber
     *
     * @return the value of acctNumber
     */
    public String getAcctNumber()  {
	return this.acctNumber;
    }

    /**
     * Gets the value of description
     *
     * @return the value of description
     */
    public String getDescription()  {
	return this.description;
    }

    /**
     * Gets the value of balance
     *
     * @return the value of balance
     */
    public double getBalance()  {
	return this.balance;
    }

} // end class
