package J2EEApp;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.FinderException;
import javax.ejb.CreateException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBHome;

public interface AccountHome extends EJBHome
{
    
    public Account create(String acctNumber, 
			  String customerID,
			  String description,
			  double balance)
	throws RemoteException,  DuplicateKeyException, CreateException;

    public Account create(String customerID,
			  String description,
			  double balance)
	throws RemoteException, DuplicateKeyException, CreateException;

    public Account findByPrimaryKey(String acctNumber)
	throws RemoteException, FinderException;

    public Collection findByCustomerID(String customerID)
	throws RemoteException, FinderException;
}
