package test.vector;

import java.util.*;

public class VectorDisplay
{

    public VectorDisplay()
    {
	System.out.println("--==>Creating VectorDisplay object...");
    }

    public void dumpVector(Vector v)
    {
	System.out.println("--==>Enter VectorDisplay.dumpVector");
	dumpCustomers(v);
	System.out.println("--==>Exit VectorDisplay.dumpVector");
    }

    private void dumpCustomers(Vector c)
    {
	System.out.println("--==>Entering VectorDisplay.dumpCustomers()");
	Iterator iterator = c.iterator();
	int count = 0;
	while (iterator.hasNext()) {
	    CustomerData s = (CustomerData)iterator.next();
	    System.out.println("\tElement " + count + ": " + s);
	    count++;
	}
	System.out.println("--==>Leaving VectorDisplay.dumpCustomers()");
    }
} // end class
