package J2EEApp;

import java.rmi.RemoteException;
import java.util.*;

import javax.ejb.EJBObject;

public interface BankMgr extends EJBObject
{
    // Returns UserID after validating Username + Password in database
    public String loginUser(String pUsername, String pPassword) 
	throws RemoteException;

    // Returns data model object of a Customer
    public CustomerData getCustomerData(String customerID) 
	throws RemoteException;

    public Vector getAllCustomers() 
	throws RemoteException;

    public CustomerWithAcctsData getCustomerWithAcctsData(String customerID)
	throws RemoteException;
} // end class
