/* CMSI 688 Homework Set 2
 * Data Model Bean
 * Craig E. Ward 
 * Fall 2002
 */
package J2EEApp;

import java.io.*;
import java.util.*;

public class CustomerWithAcctsData implements Serializable
{
    private CustomerData customerData = null;
    private Vector accounts = null;

    public CustomerWithAcctsData() 
    {
	System.out.println("Creating new CustomerWithAcctsData");
    }

    public CustomerWithAcctsData(CustomerData pCustomerData, 
				 Vector pAccounts)

    {
	this();
	customerData = pCustomerData;
	accounts = pAccounts;
    }

    /**
     * Gets the value of customerData
     *
     * @return the value of customerData
     */
    public CustomerData getCustomerData()  {
	return this.customerData;
    }

    /**
     * Gets the value of accounts
     *
     * @return the value of accounts
     */
    public Vector getAccounts()  {
	return this.accounts;
    }

    public String toString()
    {
	String theString = "Customer:" + (this.customerData).toString() 
	    + dumpAccountsDataVector();
	return theString;
    }

    private String dumpAccountsDataVector()
    {
	StringBuffer sb = new StringBuffer("\nAccounts:\n");
	Iterator itr = accounts.iterator();
	while (itr.hasNext()) {
	    AccountData data = (AccountData)itr.next();
	    //	    sb.append("------\n" + data.toString());
	    sb.append("\n------\n\tAccontNumber:" + data.getAcctNumber() + 
		      "\n\tDescription:" + data.getDescription() + 
		      "\n\tBalance:" + String.valueOf(data.getBalance()));
	}
	sb.append("\n------");
	return sb.toString();
    }
} // end class
