package J2EEApp;

import java.sql.*;

import javax.sql.*;
import javax.naming.*;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBException;
import javax.ejb.NoSuchEntityException;
import javax.ejb.ObjectNotFoundException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

public class SequencerEJB implements EntityBean
{
    private EntityContext context;

    // Container Managed Persistance fields
    public int sequenceValue;
    public String sequenceType;


    public SequencerEJB() { }

    // EntityBean implementation
    
    public String ejbCreate() throws CreateException { return null; }
    public void ejbPostCreate() throws CreateException  { }
    
    public String ejbCreate(String sequenceType, int sequenceValue)
	throws CreateException
    {
	this.sequenceType = sequenceType;
	this.sequenceValue = sequenceValue;
	return null;
    }

    public void ejbPostCreate(String sequenceType, int sequenceValue)
	throws CreateException
    {
	// Do nothing
    }

    public void ejbActivate()
    {
	sequenceType = (String)context.getPrimaryKey();
    }

    public void ejbPassivate() { sequenceType = null; }

    public void ejbRemove() { }
    public void ejbLoad() { }
    public void ejbStore() { }

    public void setEntityContext(EntityContext ctx) { context = ctx; }
    public void unsetEntityContext() { context = null; }

    // Bean methods

    public String getNextSequenceValue()
    {
	sequenceValue++;
	return String.valueOf(sequenceValue);
    }
} // end class
