package test.vector;

import java.util.*;

public class VectorTest
{
    public VectorTest()
    {
	System.out.println("VectorTest created!");
    }

    public static void main(String args[])
    {
	VectorTest vc = new VectorTest();
	vc.runTest();
	vc.crashTest();
	System.exit(0);
    }

    private  void runTest()
    {
	System.out.println("Enter VectorTest.runTest()");
	vc = new VectorCreator();
	vd = new VectorDisplay();
	Vector v = vc.makeVector();
	vd.dumpVector(v);
	vector = v;
	System.out.println("Exit VectorTest.runTest()");
    }

    void crashTest()
    {
	System.out.println("Enter VectorTest.runTest()");
	vd.dumpVector(vector);
	System.out.println("Exit VectorTest.runTest()");
    }

    private VectorCreator vc;
    private VectorDisplay vd;
    private Vector vector;

} // end class
